Page MenuHomePhabricator

Lots of lock wait timeouts from User::loadFromDatabase on "MediaWiki message delivery"
Closed, ResolvedPublic

Description

Bunch of these in the logs:

2015-05-29 20:21:11 mw1002 enwiki exception INFO: [66a1adc2] /rpc/RunJobs.php?wi
ki=enwiki&type=MassMessageJob&maxtime=30&maxmem=300M   DBQueryError from line 1276 of /srv/mediawiki/php-1.26wmf7/includes/db/Database.php: A database error has occurred. Did you forget to run maintenance/update.php after upgrading?  See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: SELECT  user_id,user_name,user_real_name,user_email,user_touched,user_token,user_email_authenticated,user_email_token,user_email_token_expires,user_registration,user_editcount  FROM `user`   WHERE user_id = '20181147'  LIMIT 1   LOCK IN SHARE MODE
Function: User::loadFromDatabase
Error: 1205 Lock wait timeout exceeded; try restarting transaction (10.64.32.22)

#0 /srv/mediawiki/php-1.26wmf7/includes/db/Database.php(1231): DatabaseBase->reportQueryError()
#1 /srv/mediawiki/php-1.26wmf7/includes/db/Database.php(1756): DatabaseBase->query()
#2 /srv/mediawiki/php-1.26wmf7/includes/db/Database.php(1845): DatabaseBase->select()
#3 /srv/mediawiki/php-1.26wmf7/includes/User.php(1235): DatabaseBase->selectRow()
#4 /srv/mediawiki/php-1.26wmf7/includes/User.php(388): User->loadFromDatabase()
#5 /srv/mediawiki/php-1.26wmf7/includes/User.php(354): User->loadFromId()
#6 /srv/mediawiki/php-1.26wmf7/includes/User.php(2044): User->load()
#7 /srv/mediawiki/php-1.26wmf7/extensions/MassMessage/includes/MassMessage.php(45): User->getId()
#8 /srv/mediawiki/php-1.26wmf7/extensions/MassMessage/includes/job/MassMessageJob.php(171): MassMessage::getMessengerUser()
#9 /srv/mediawiki/php-1.26wmf7/extensions/MassMessage/includes/job/MassMessageJob.php(164): MassMessageJob->editPage()
#10 /srv/mediawiki/php-1.26wmf7/extensions/MassMessage/includes/job/MassMessageJob.php(35): MassMessageJob->sendMessage()
#11 /srv/mediawiki/php-1.26wmf7/includes/jobqueue/JobRunner.php(181): MassMessageJob->run()
#12 /srv/mediawiki/rpc/RunJobs.php(42): JobRunner->run()
#13 {main} {"private":false}
legoktm@fluorine:/a/mw-log$ grep -c "MassMessage::getMessengerUser" exception.log 
682

Event Timeline

Legoktm created this task.May 30 2015, 12:51 AM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MassMessage.
Legoktm added subscribers: Legoktm, aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2015, 12:51 AM

Change 215379 had a related patch set uploaded (by Aaron Schulz):
Fixed $flags bit operation precedence fail in User::loadFromDatabase()

https://gerrit.wikimedia.org/r/215379

Change 215379 merged by jenkins-bot:
Fixed $flags bit operation precedence fail in User::loadFromDatabase()

https://gerrit.wikimedia.org/r/215379

Change 215388 had a related patch set uploaded (by Aaron Schulz):
Fixed $flags bit operation precedence fail in User::loadFromDatabase()

https://gerrit.wikimedia.org/r/215388

aaron closed this task as Resolved.Jun 2 2015, 6:58 PM
aaron claimed this task.

Change 215388 merged by jenkins-bot:
Fixed $flags bit operation precedence fail in User::loadFromDatabase()

https://gerrit.wikimedia.org/r/215388